Package it.ernytech.tdlib

## Class TdApi.CreateBasicGroupChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateBasicGroupChat

Enclosing class:
  TdApi

    public static class TdApi.CreateBasicGroupChat
    extends TdApi.Function

Returns an existing chat corresponding to a known basic group.

Returns `Chat`

### Field Summary

Fields
`int` `basicGroupId` Basic group identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `force` If true, the chat will be created without network request.

### Constructor Summary

Constructors
`CreateBasicGroupChat()` Default constructor.
`CreateBasicGroupChat​(int basicGroupId, boolean force)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### basicGroupId

    public int basicGroupId

Basic group identifier.

#### force

    public boolean force

If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateBasicGroupChat

    public CreateBasicGroupChat()

Default constructor.

#### CreateBasicGroupChat

    public CreateBasicGroupChat​(int basicGroupId,
                                boolean force)

Constructor for initialization of all fields.

Parameters:
  `basicGroupId` - Basic group identifier.
  `force` - If true, the chat will be created without network request. In this case all information about the chat except its type, title and photo can be incorrect.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR